/*Обнуление*/
*{padding: 0;margin: 0;border: 0;}
*,*:before,*:after{-moz-box-sizing: border-box;-webkit-box-sizing: border-box;box-sizing: border-box;}
:focus,:active{outline: none;}
a:focus,a:active{outline: none;}
nav,footer,header,aside{display: block;}
html,body{height:100%;width:100%;font-size:100%;line-height:1;font-size:14px;-ms-text-size-adjust:100%;-moz-text-size-adjust:100%;-webkit-text-size-adjust:100%;}
input,button,textarea{font-family:inherit;}
input::-ms-clear{display: none;}
button{cursor: pointer;}
button::-moz-focus-inner{padding:0;border:0;}
a,a:visited{text-decoration: none;}
a:hover{text-decoration: none;}
ul li{list-style: none;}
img{vertical-align: top;}
h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight: inherit;}
/*--------------------*/

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    /*min-height: 100vh;*/
    background: #000;
    font-family: fontxo;
}

.container{
        position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 500px;
    height: 500px;
    font-family: fontxo;
    /*background: #001111;*/

    border: #fff 1px solid;
    margin: 0 auto;

}

#text{
    padding: 10px;
    top: 20%;
    font-size: 30px;
    position: relative;
    text-align: center;
    width: 500px;
    color: #fff;
}

.pb{
    position: absolute;
    align-items: center;
    top: 50%;
    left: 20%;
    width: 300px;
    height: 26px;
    margin: 0 auto;
    border: #fff 1px solid;
}

.pb::before{
    content: attr(data-label);
    color: #fff;
    display: flex;
    align-items: center;
    
    position: absolute;
    left: .4em;
    top: 5px;
    width: calc(var(--width, 0) * 1%);
    min-width: 0rem;
    max-width: calc(150% - .7em);
    background-color: #fff;
}

#btext{
    padding: 5px;
    top: 0%;
    border: #fff 1px solid;
    font-size: 30px;
    background: #000;
    color: #fff;
    justify-content: center;
    align-items: center;
    position: relative;
left: 50%;
transform: translate(-50%, 0);
}

#btext:hover{
    background: #858585;
}


.btn{
    top:70%;
    width: 500px;
    align-items: center;
        position: absolute;
left: 50%;
transform: translate(-50%, 0);
}

@font-face{
    font-family: 'fontxo';
    src: url('MechaCondensed-zmn4.ttf');
}

@media screen and (max-width: 480px) {

.container{
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    height: 300px;
    font-family: fontxo;
    /*background: #001111;*/

    border: #fff 1px solid;
    margin: 0 auto;
}

#text{
    padding: 10px;
    top: 18%;
    font-size: 20px;
    position: relative;
    text-align: center;
    width: 300px;
    color: #fff;
}

.pb{
    position: absolute;
    align-items: center;
    top: 50%;
    left: 15%;
    width: 205px;
    height: 26px;
    margin: 0 auto;
    border: #fff 1px solid;
}

.pb::before{
    content: attr(data-label);
    color: #fff;
    display: flex;
    align-items: center;
    
    position: absolute;
    left: 5px;
    top: 5px;
    width: calc(var(--width, 0) * 1%);
    min-width: 0rem;
    max-width: calc(115% - var(--offset, 0) * 0.1em);
    background-color: #fff;
}

#btext{
    padding: 5px;
    top: 0%;
    border: #fff 1px solid;
    font-size: 25px;
    background: #000;
    color: #fff;
    justify-content: center;
    align-items: center;
    position: relative;
left: 50%;
transform: translate(-50%, 0);
}

.btn{
    top:70%;
    width: 300px;
    align-items: center;
        position: absolute;
left: 50%;
transform: translate(-50%, 0);
}

}